### Method

# Gdk Display get_primary_clipboard

#### Declaration [src]

    GdkClipboard*
    gdk_display_get_primary_clipboard (
      GdkDisplay* display
    )

#### Description [src]

Gets the clipboard used for the primary selection.

On backends where the primary clipboard is not supported natively, GDK emulates this clipboard locally.

#### Return value

Type: `GdkClipboard`

The primary clipboard.

The returned data is owned by the instance.